Bug 1828437 - CVE-2019-18823 condor: htcondor: Incorrect access control in condor_startd [fedora-all]
Summary: CVE-2019-18823 condor: htcondor: Incorrect access control in condor_startd [...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: condor
Version: 31
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Tim Theisen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2019-18823
TreeView+ depends on / blocked
 
Reported: 2020-04-27 17:24 UTC by Pedro Sampaio
Modified: 2021-07-26 12:54 UTC (History)
9 users (show)

Fixed In Version: condor-8.8.8-1.fc30 condor-8.8.8-1.fc31 condor-8.8.8-1.fc32
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-17 03:19:39 UTC
Type: ---


Attachments (Terms of Use)

Description Pedro Sampaio 2020-04-27 17:24:54 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Pedro Sampaio 2020-04-27 17:24:58 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1828436,1828437

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2020-05-08 21:52:51 UTC
FEDORA-2020-ae934f6790 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-ae934f6790

Comment 3 Fedora Update System 2020-05-08 21:54:13 UTC
FEDORA-2020-f9a598f815 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-f9a598f815

Comment 4 Fedora Update System 2020-05-09 04:38:54 UTC
FEDORA-2020-f9a598f815 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-f9a598f815`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-f9a598f815

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2020-05-09 05:20:32 UTC
FEDORA-2020-ae934f6790 has been pushed to the Fedora 30 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-ae934f6790`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-ae934f6790

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-05-09 13:53:55 UTC
FEDORA-2020-fb5af97476 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-fb5af97476

Comment 7 Fedora Update System 2020-05-10 06:49:02 UTC
FEDORA-2020-fb5af97476 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-fb5af97476`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-fb5af97476

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-05-17 03:19:39 UTC
FEDORA-2020-ae934f6790 has been pushed to the Fedora 30 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2020-05-17 03:48:44 UTC
FEDORA-2020-f9a598f815 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2020-05-18 02:43:47 UTC
FEDORA-2020-fb5af97476 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.